---
# tasks file for thanos
- name: Configure Registry
  block:
  - name: Use platform.harbor_registry
    set_fact:
      image_registry: "{{ platform.harbor_registry }}/docker-hub-proxy"
    when: platform.harbor_registry is defined
  - name: Use component specific registry
    set_fact:
      image_registry: "{{ config.thanos.image_registry }}"
    when: config.thanos.image_registry is defined
  tags: always

- name: Set OpenShift security context constraints
  include: scc.yml
  when: config.system.k8s_distribution == 'openshift'

- name: Install Thanos components
  include: install.yml

- name: Remove Thanos
  import_tasks: remove.yml
  tags: [ never, remove ]
